Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class ResolvedEvent<T>

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResolvedEvent<T>

Type Parameters:
  `T` - The type of the resource identifier.

    public class ResolvedEvent<T>
    extends Object

Event that indicates that a resource that should be part of a dependency graph has been found.

### Constructor Summary

Constructors
`ResolvedEvent​(T node)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getNode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolvedEvent

    public ResolvedEvent​(T node)

Constructor.

Parameters:
  `node` - The identifier of the discovered resource, must not be `null`.

### Method Detail

#### getNode

    public T getNode()